import React from 'react';
import '../../css/style.css';
import App from "./App";

class Repartitionventes extends React.Component {

  constructor(props){
    super(props);
    this.state = {
      data: [],
      year : 2015
    }
  }

  getData(){
    fetch(`https://${document.domain}:8443/repartition-ventes/${this.state.year}`)
      .then(response => {
        if (response.ok) {
          return response.json();
        } else {
          throw new Error('error');
        }
      })
      .then(data => {
        this.setState({data: data });
      })
      .catch(error => console.log("error"));
  }

  componentDidMount(){
    this.getData();
  }

  render() {
    console.log(this.state.data)
    return  (
      <div>
        <App/>
        Repartitionventes
      </div>
    )
  }
}

export default Repartitionventes;



